﻿// Copyright (c) 2020 Tudor Stanciu

using Tuitio.Domain.Entities;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;

namespace Tuitio.Domain.Data.EntityTypeConfiguration
{
    class UserStatusConfiguration : IEntityTypeConfiguration<UserStatus>
    {
        public void Configure(EntityTypeBuilder<UserStatus> builder)
        {
            builder.ToTable("UserStatus").HasKey(z => z.StatusId);
            builder.Property(z => z.StatusId).ValueGeneratedOnAdd();
        }
    }
}
